package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 飞行分解任务对象 als_flight_split_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_flight_split_task_t")
public class FlightSplitTask extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 飞行编号
     */
    private Long flightId;

    /**
     * 机型
     */
    private String aircraftModel;

    /**
     * 机组
     */
    private String aircraftGroup;

    /**
     * 时长
     */
    private String duration;

    /**
     * 设备
     */
    private String device;

    /**
     * 数量
     */
    private Integer deviceCount;

    /**
     * 单位
     */
    private String unit;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
