package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 飞行任务对象 als_flight_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_flight_task_t")
public class FlightTask extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 架次号
     */
    private Long sortieNo;

    /**
     * 机型
     */
    private String aircraftModel;

    /**
     * 机号
     */
    private String aircraftId;
    /**
     * 起飞时间
     */
    private Date startTime;

    /**
     * 降落时间
     */
    private String endTime;

    /**
     * 飞行课目
     */
    private String trainExercise;

    /**
     * 状态
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
