package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SafeRule;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 保障规则业务对象 als_safe_rule_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SafeRule.class, reverseConvertGenerate = false)
public class SafeRuleBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftModel;

    /**
     * 时长
     */
    @NotBlank(message = "时长不能为空")
    private String duration;

    /**
     * 飞行课目
     */
    @NotBlank(message = "飞行课目不能为空")
    private String trainExercise;

    /**
     * 状态（1正常）
     */
    private String status;


}
