package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.eco.common.mapper.annotation.FieldMapper;
import com.eco.common.mapper.constant.MapperConstant;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 任务携行导入视图对象 als_carry_checklist_t
 *
 * @author wgk
 * @date 2024-07-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class CarryChecklistImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机号
     */
    @ExcelProperty(value = "机号")
    private String aircraftNo;

    /**
     * 成品名称
     */
    @ExcelProperty(value = "成品名称")
    private String name;

    /**
     * 型号
     */
    @ExcelProperty(value = "型号")
    private String model;

    /**
     * 厂家名称
     */
    @ExcelProperty(value = "厂家名称")
    private String factory;

    /**
     * 需求数量
     */
    @ExcelProperty(value = "需求数量")
    private Integer quantity;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
