package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 飞行分解任务导入视图对象 als_flight_split_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FlightSplitTaskImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 飞行编号
     */
    @ExcelProperty(value = "飞行编号")
    private Long flightId;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机组
     */
    @ExcelProperty(value = "机组")
    private String aircraftGroup;

    /**
     * 时长
     */
    @ExcelProperty(value = "时长")
    private String duration;

    /**
     * 设备
     */
    @ExcelProperty(value = "设备")
    private String device;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer deviceCount;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unit;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
