package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 保障规则导入视图对象 als_safe_rule_t
 *
 * @author wgk
 * @date 2024-07-24
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class SafeRuleImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 时长
     */
    @ExcelProperty(value = "时长")
    private String duration;

    /**
     * 飞行课目
     */
    @ExcelProperty(value = "飞行课目")
    private String trainExercise;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
